import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.customMessages.list({
page: 0,
searchFields: [
"name",
],
searchFieldValues: [
"Some Object Name",
],
startDatetime: "2023-01-01T00:00:00Z",
endDatetime: "2024-01-01T00:00:00Z",
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK, models
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.custom_messages.list(page=0, limit=25, search_fields=[
models.CustomMessageProperties.NAME,
], search_field_values=[
"Some Object Name",
], start_datetime="2023-01-01T00:00:00Z", end_datetime="2024-01-01T00:00:00Z")
# Handle response
print(res)curl --request GET \
--url https://api.syllable.cloud/api/v1/custom_messages/ \
--header 'Syllable-API-Key: <api-key>'const options = {method: 'GET', headers: {'Syllable-API-Key': '<api-key>'}};
fetch('https://api.syllable.cloud/api/v1/custom_messages/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"name": "Customer service greeting",
"text": "Hello and thank you for calling customer service. How can I help you today?",
"repeat_after_language_change": true,
"id": 1,
"updated_at": "2024-01-01T00:00:00Z",
"last_updated_by": "user@email.com",
"type": "greeting",
"preamble": "If this is an emergency, please hang up and call 911.",
"subject": "Your appointment reminder",
"label": "Customer service",
"rules": [
{
"date": "2025-01-01",
"description": "Closed on New Year's Day",
"invert": false,
"text": "Hello, thank you for calling. Sorry, we're closed today.",
"time_range_end": "17:00",
"time_range_start": "09:00"
},
{
"days_of_week": [
"sa",
"su"
],
"description": "Closed on weekends",
"invert": false,
"text": "Hello, thank you for calling. Sorry, we're closed on weekends.",
"time_range_end": "17:00",
"time_range_start": "09:00"
}
],
"agent_count": 1
}
],
"page": 0,
"page_size": 25,
"total_pages": 4,
"total_count": 100
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Custom Messages List
List the existing custom_messages
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.customMessages.list({
page: 0,
searchFields: [
"name",
],
searchFieldValues: [
"Some Object Name",
],
startDatetime: "2023-01-01T00:00:00Z",
endDatetime: "2024-01-01T00:00:00Z",
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK, models
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.custom_messages.list(page=0, limit=25, search_fields=[
models.CustomMessageProperties.NAME,
], search_field_values=[
"Some Object Name",
], start_datetime="2023-01-01T00:00:00Z", end_datetime="2024-01-01T00:00:00Z")
# Handle response
print(res)Authorizations
Query Parameters
The page number from which to start (0-based)
x >= 00
The maximum number of items to return
x >= 025
String names of fields to search. Correspond by index to search field values
id, name, name_exact, text, label, type, updated_at, agent_id "name"
Values of fields to search. Correspond by index to search fields. Unless field name contains "list", an individual search field value cannot be a list
"Some Object Name"
The field whose value should be used to order the results
id, name, name_exact, text, label, type, updated_at, agent_id "name"
The direction in which to order the results The direction in which to order list results, either ascending or descending.
asc, desc The fields to include in the response
id, name, name_exact, text, label, type, updated_at, agent_id The start datetime for filtering results
"2023-01-01T00:00:00Z"
The end datetime for filtering results
"2024-01-01T00:00:00Z"
Response
Successful Response
List of items returned from the query
Show child attributes
Show child attributes
The page number of the results (0-based)
0
The number of items returned per page
25
The total number of pages of results given the indicated page size
4
The total number of items returned from the query
100

